/*
 * Copyright
 *   2007 axYus - www.axyus.com
 *
 * This file is part of XEMELIOS.
 *
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package fr.gouv.finances.dgfip.xemelios.web.gwt.client.widget.search;

import fr.gouv.finances.dgfip.xemelios.web.gwt.client.widget.PaginationWidget;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.DockPanel;
import com.google.gwt.user.client.ui.HTML;

/**
 * @author CBO
 */
public class StatusBar extends Composite {

    private DockPanel mainPanel;
    private HTML text;
    private PaginationWidget paginationWidget;

    public StatusBar() {
        this.mainPanel = new DockPanel();
        this.text = new HTML("&nbsp;");
        this.paginationWidget = new PaginationWidget();
        this.mainPanel.add(this.text, DockPanel.WEST);
        this.mainPanel.add(this.paginationWidget, DockPanel.EAST);
        this.mainPanel.setWidth("100%");
        this.mainPanel.setCellHorizontalAlignment(this.paginationWidget, DockPanel.ALIGN_RIGHT);
        text.getElement().setId("ResultInfo");
        initWidget(this.mainPanel);
    }

    public void setText(String text) {
        this.text.setText(text);
    }

    public PaginationWidget getPaginationWidget() {
        return paginationWidget;
    }

}
