/*
 * Copyright
 *   2007 axYus - www.axyus.com
 *
 * This file is part of XEMELIOS.
 *
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package fr.gouv.finances.dgfip.xemelios.batch;

import java.util.Timer;

/**
 *
 * @author Christophe Marchand <christophe.marchand@axyus.com>
 */
class MyTimer extends Timer {
    private boolean canceled = false;

    public MyTimer() {
        super();
    }
    public MyTimer(boolean isDeamon) {
        super(isDeamon);
    }
    public MyTimer(String name) {
        super(name);
    }
    public MyTimer(String name, boolean isDeamon) {
        super(name,isDeamon);
    }

    @Override
    public void cancel() {
        canceled = true;
        super.cancel();
    }

    public boolean isCanceled() { return canceled; }
}
